# Function

Source:
  - constructors/extensions/prototype.js, line 2518

### Methods

#### runInWorker(data, cb, keep) → {Worker}

Source:
  - constructors/extensions/prototype.js, line 2566

##### Parameters:

Name | Type | Description
--- | --- | ---
`data` | any |
`cb` | ExtensionsPrototype.Function_runInWorker |
`keep` | boolean | keep worker after first execution instead of destroy it

##### Returns:

Type
  Worker

#### toWorker() → {Worker}

Source:
  - constructors/extensions/prototype.js, line 2543

##### Returns:

Type
  Worker

#### toWorkerURL() → {string}

Source:
  - constructors/extensions/prototype.js, line 2522

##### Returns:

Type
  string